
const OracleService = require('../service/OracleService')

class acmDelMovCaixaDlvModel {
    constructor() {
        this.GET_ACMDELMOVCAIXADLV = `
            DELETE FROM MOVCAIXADLV
             WHERE CDFILIAL = :P_CDFILIAL
               AND NRVENDAREST = :P_NRVENDAREST
               AND CDCLIENTE = :P_CDCLIENTE
               AND CDCONSUMIDOR = :P_CDCONSUMIDOR
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMDELMOVCAIXADLV, params);
        })
    }
}  

module.exports = new acmDelMovCaixaDlvModel();