
const OracleService = require('../service/OracleService')

class acmUpSaldoModel {
    constructor() {
        this.GET_ACMUPSALDO = `
            UPDATE SALDOCONS
            SET VRSALDCONFAM = :VRSALDCONFAM
            WHERE
               (CDCLIENTE    =  :CDCLIENTE)    AND
               (CDCONSUMIDOR = :CDCONSUMIDOR) AND
               (CDFAMILISALD     = :CDFAMILISALD)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPSALDO, params);
        })
    }
}  

module.exports = new acmUpSaldoModel();