
const OracleService = require('../service/OracleService')

class acmUpdVrBaseCalcModel {
    constructor() {
        this.GET_ACMUPDVRBASECALC = `
            UPDATE
               IMPOSTOREDZ
            SET
               VRBCALCIMPRZ = :VRBCALCIMPRZ
            WHERE
               (CDFILIAL    = :CDFILIAL   ) AND
               (CDCAIXA     = :CDCAIXA    ) AND
               (NRECFREDZ   = :NRECFREDZ  ) AND
               (DTREDUCAOZ  = :DTREDUCAOZ ) AND
               (VRALIQIMPRZ = :VRALIQIMPRZ)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDVRBASECALC, params);
        })
    }
}  

module.exports = new acmUpdVrBaseCalcModel();