
const OracleService = require('../service/OracleService')

class acmDtLimpezaModel {
    constructor() {
        this.GET_ACMDTLIMPEZA = `
            UPDATE CAIXA
               SET DTULTIMALIMPEZA = TIMESTAMP :P_DTULTIMALIMPEZA
             WHERE CDFILIAL = :P_CDFILIAL
               AND CDCAIXA  = :P_CDCAIXA
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMDTLIMPEZA, params);
        })
    }
}  

module.exports = new acmDtLimpezaModel();