
const OracleService = require('../service/OracleService')

class adqSrvTotalDiaCaixaModel {
    constructor() {
        this.GET_ADQSRVTOTALDIACAIXA = `
            SELECT *
              FROM TOTALDIACAIXA
             WHERE CDFILIAL = ''
               AND CDCAIXA = ''
               AND DTTOTAL = ''
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVTOTALDIACAIXA, params);
        })
    }
}  

module.exports = new adqSrvTotalDiaCaixaModel();