
const OracleService = require('../service/OracleService')

class adqVerifVendarestModel {
    constructor() {
        this.GET_ADQVERIFVENDAREST = `
            SELECT V.NRVENDAREST,V.NRVENDARESTAUX,V.CDFILIAL,V.CDLOJA,V.DTHRABERMESA,V.CDCLIENTE,V.CDCONSUMIDOR,VE.NRSEQVENDA,VE.DTVENDA
            FROM VENDAREST V
              INNER JOIN COMANDAVEN C ON C.CDFILIAL=V.CDFILIAL  AND C.CDLOJA=V.CDLOJA  AND C.NRVENDAREST=V.NRVENDAREST
              INNER JOIN VENDA VE		ON VE.CDFILIAL=V.CDFILIAL AND VE.CDLOJA=V.CDLOJA
              AND (VE.CDCONSUMIDOR=V.CDCONSUMIDOR AND VE.CDCLIENTE=V.CDCLIENTE)
            AND VE.NRVENDAREST=V.NRVENDAREST
            WHERE
            V.CDFILIAL = :P_CDFILIAL AND
            V.NRVENDAREST    = :P_NRVENDAREST AND
            C.NRCOMANDA= :P_NRCOMANDA AND
            V.CDCLIENTE= :P_CDCLIENTE AND
            V.CDCONSUMIDOR   = :P_CDCONSUMIDOR AND
            (C.DSCOMANDA like 'DLV_%' AND VE.IDORIGEMVENDA LIKE 'DLV_%')
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFVENDAREST, params);
        })
    }
}  

module.exports = new adqVerifVendarestModel();