const OracleService = require('../service/OracleService');

class adqVerificaRedZModel {
  constructor() {
    this.GET_ADQVERIFICAREDZ = `
            SELECT CDFILIAL
              FROM REDUCAOZ
             WHERE (CDFILIAL   = :P_CDFILIAL)  
               AND (CDCAIXA    = :P_CDCAIXA) 
               AND (NRECFREDZ  = :P_NRECFREDZ) 
               AND (DTREDUCAOZ = TIMESTAMP :P_DTREDUCAOZ)
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFICAREDZ, params);
    });
  }
}

module.exports = new adqVerificaRedZModel();
